Download it now!
Bug 90890 - FILESAVE: XLSX text box hyperlink is not preserved after roundtrip.
Summary: FILESAVE: XLSX text box hyperlink is not preserved after roundtrip.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-27 10:52 UTC by Yogesh Bharate
Modified: 2015-05-12 11:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
hyperlink in txtbox (9.71 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-04-27 10:52 UTC, Yogesh Bharate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yogesh Bharate 2015-04-27 10:52:21 UTC
Created attachment 115134 [details]
hyperlink in txtbox

Problem Description:
1. Open attached document in CALC.
2. Save as xlsx again.
3. Open the roundtrip file in excel.

Expected output:
textbox Hyperlink is working.

Actual output:
textbox hyperlink is not working.
Comment 1 Commit Notification 2015-04-28 10:14:55 UTC
yogesh.bharate001 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a7d843b6112250d1a41c2a56d8e083ccf6538bca

tdf#90890: hyperlink inside textbox is not exported after roundtrip.

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Jorendc 2015-04-29 17:17:03 UTC
Fix (+unit test) merged -> RESOLVED FIXED
Comment 3 darshan.gandhi 2015-05-12 11:46:57 UTC
Verified on Version: 5.0.0.0.alpha1+ (x64)
Build ID: ddb3c4531c657cda6ae20dd950020cea1d12ba2e

text box hyperlink is being preserved after roundtrip